/*
 * pwmh.h
 *
 *  Created on: 20 mai 2021
 *      Author: Florian
 */

#ifndef INC_PWMH_H_
#define INC_PWMH_H_

/* Includes */
#include "common.h"
#include "main.h"

extern TIM_HandleTypeDef htim1;

/* Shared constants and macros */
#define cPWMH_PWM_NUMBER 4
#define cPWMH_KICKSTART_THRESHOLD_DEFAULT_U8 ((uint8_t)30)
#define cPWMH_KICKSTART_DELAY_DEFAULT_U16 ((uint16_t)2000)
#define cPWMH_KICKSTART_RAMP_TIME_DEFAULT_U16 ((uint16_t)200)

/* Shared variables */

/* Shared functions */
void PWMH_Init (void);
void PWMH_Start (void);
void PWMH_Stop (void);

void PWMH_PeriodicFunction (void);

BOOL PWMH_PWM1SetRamp (uint8_t dyc_u8, uint16_t ramp_time_u16);

#endif /* INC_PWMH_H_ */
